Package io.vertx.kafka.client.serialization

## Class JsonObjectSerializer

- java.lang.Object
- - io.vertx.kafka.client.serialization.JsonObjectSerializer

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`, `org.apache.kafka.common.serialization.Serializer<JsonObject>`

      public class JsonObjectSerializer
      extends Object
      implements org.apache.kafka.common.serialization.Serializer<JsonObject>

  Kafka serializer for raw bytes in a buffer

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JsonObjectSerializer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `void` | `configure​(Map<String,​?> configs, boolean isKey)` |
    `byte[]` | `serialize​(String topic, JsonObject data)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.kafka.common.serialization.Serializer

      `serialize`

- - ### Constructor Detail

    - #### JsonObjectSerializer

          public JsonObjectSerializer()

  - ### Method Detail

    - #### configure

          public void configure​(Map<String,​?> configs,
                                boolean isKey)

      Specified by:
        `configure` in interface `org.apache.kafka.common.serialization.Serializer<JsonObject>`

    - #### serialize

          public byte[] serialize​(String topic,
                                  JsonObject data)

      Specified by:
        `serialize` in interface `org.apache.kafka.common.serialization.Serializer<JsonObject>`

    - #### close

          public void close()

      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `org.apache.kafka.common.serialization.Serializer<JsonObject>`